//
// JmsaTopicPublisher.java - JMS Adapter TopicPublisher
//

package nyangau.jmsadapter;

import javax.jms.*;

public class JmsaTopicPublisher extends JmsaMessageProducer implements TopicPublisher
  {
//...sJmsaTopicPublisher:2:
public JmsaTopicPublisher(
  TopicPublisher producer,
  Topic topic,
  FlowProcessor flowproc
  )
  { super(producer, topic, flowproc); }
//...e
//...sgetTopic:2:
public Topic getTopic()
  throws JMSException
  { return ((TopicPublisher)mp).getTopic(); }
//...e
//...spublish:2:
public void publish(Message message)
  throws JMSException
  { send(message); }

public void publish(Message message, int deliveryMode, int priority, long timeToLive)
  throws JMSException
  { send(message, deliveryMode, priority, timeToLive); }

public void publish(Topic t, Message message)
  throws JMSException
  { send(t, message); }

public void publish(Topic t, Message message, int deliveryMode, int priority, long timeToLive)
  throws JMSException
  { send(t, message, deliveryMode, priority, timeToLive); }
//...e
  }
